Skip to content

Online Datakit List



GET /api/v1/datakit/list

Overview

Query Parameters

Parameter Name Type Required Description
workspaceUUID string Workspace UUID
Example: wksp_xxxxx
Allow empty: False
version string Datakit Version
Example: xxx
Allow empty: False
search string Search by hostname, runtime ID, IP
Allow empty: False
searchKeys string Specifies the fields to search, defaults to hostName,extend.ip,extend.runtime_id
Example: xxx
Allow empty: False
isOnline boolean Whether active today
Example: xxx
Allow empty: False
lastHeartbeatTime integer Time range since last data report, in seconds
Allow empty: False
Example: 600
$minValue: 1
pageIndex integer Page number
Allow empty: False
Example: 10
$minValue: 1
pageSize integer Number of items per page
Allow empty: False
Example: 10
$minValue: 1

Parameter Details

Request Example

curl 'https://external-api.guance.com/api/v1/datakit/list?version=1.14.2&pageIndex=1&pageSize=10' \
  -H 'Content-Type: application/json' \
  -H 'X-Df-Access-Key: <AK key>' \
  -H 'X-Df-Nonce: <Random characters>' \
  -H 'X-Df-Signature: <Signature>' \
  -H 'X-Df-Timestamp: <Timestamp>'

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "arch": "amd64",
                "createAt": 1715326420,
                "creator": "",
                "deleteAt": -1,
                "extend": {
                    "arch": "amd64",
                    "cpu_cores": 0,
                    "datakit_version": "1.14.2",
                    "hostname": "izxxxx",
                    "ip": "",
                    "online_time": 0,
                    "os": "linux",
                    "run_in_container": false,
                    "run_mode": "",
                    "runtime_id": "",
                    "token": "",
                    "upgrader_server": "",
                    "uptime": 0,
                    "usage_cores": 1,
                    "wsuuid": "wksp_4b5xxx"
                },
                "hostName": "izxxxx",
                "id": 10,
                "lastUpdateTime": 1729763119,
                "onlineTime": 816415,
                "os": "linux",
                "status": 0,
                "updateAt": 1729763119,
                "updator": "",
                "usageCores": 1,
                "version": "1.14.2",
                "workspaceName": "【Doris】Development and Testing Shared_",
                "workspaceUUID": "wksp_4b5xxx"
            }
        ],
        "pageInfo": {
            "count": 1,
            "pageIndex": 1,
            "pageSize": 10,
            "totalCount": 1
        }
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "11166663346088761547"
} 

Feedback

Is this page helpful? ×